﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using Telerik.Windows.Controls;

namespace WpfApp
{
	/// <summary>
	/// Interaction logic for WindowTestCombo.xaml
	/// </summary>
	public partial class WindowTestCombo : Window
	{
		public WindowTestCombo()
		{
			InitializeComponent();
		}

		private void NavigateToIndex(object sender, EventArgs e)
		{
			this.Close();
		}

		private void RadColorPicker_SelectedColorChanged(object sender, EventArgs e)
		{
			if (this.textBox != null)
			{
				this.textBox.Foreground = new SolidColorBrush((sender as RadColorPicker).SelectedColor);
			}
		}

		private void RadColorPicker_MouseLeftButtonDown(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			if (this.textBox != null)
			{
				this.textBox.Foreground = new SolidColorBrush((sender as RadColorPicker).SelectedColor);
			}
		}

		private void RadColorPicker_Click(object sender, EventArgs e)
		{
			if (this.textBox != null)
			{
				this.textBox.Foreground = new SolidColorBrush((sender as RadColorPicker).SelectedColor);
			}
		}

		private void ColorSelector_SelectedColorChanged(object sender, EventArgs e)
		{
			this.textBox.Foreground = new SolidColorBrush((sender as RadColorSelector).SelectedColor);
		}

		private void ModifySelector(RadColorSelector selector, string content, Visibility state)
		{
			if (selector != null)
			{
				switch (content)
				{
					case "Standard Palette":
						selector.StandardPaletteVisibility = state;
						break;
					case "Header Palette":
						selector.HeaderPaletteVisibility = state;
						break;
					case "Show Empty Color":
						selector.NoColorVisibility = state;
						break;
					default:
						selector.NoColorVisibility = state;
						break;
				}
			}
		}

		private void CheckBox_Checked(object sender, RoutedEventArgs e)
		{
			CheckBox checkBox = sender as CheckBox;
			string content = checkBox.Content.ToString();
			this.ModifySelector(this.colorSelector2, content, Visibility.Visible);
		}

		private void CheckBox_Unchecked(object sender, RoutedEventArgs e)
		{
			CheckBox checkBox = sender as CheckBox;
			string content = checkBox.Content.ToString();
			this.ModifySelector(this.colorSelector2, content, Visibility.Collapsed);
		}
	}
}
